=== modified file 'config/pandora-plugin'
--- config/pandora-plugin	2010-10-14 18:36:03 +0000
+++ config/pandora-plugin	2010-10-26 14:33:42 +0000
@@ -329,7 +329,7 @@
     plugin['tests']= fix_file_paths(plugin, plugin['tests'])
 
     # Make a yes/no version for autoconf help messages
-    if plugin['load_by_default'] or plugin['static']:
+    if plugin['load_by_default']:
       plugin['default_yesno']="yes"
     else:
       plugin['default_yesno']="no"

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2010-10-25 20:36:07 +0000
+++ drizzled/drizzled.cc	2010-10-26 19:14:30 +0000
@@ -1100,16 +1100,7 @@
        iter != defaults_file_list.end();
        ++iter)
   {
-    fs::path file_location(system_config_dir);
-    if ((*iter)[0] != '/')
-    {
-      /* Relative path - add config dir */
-      file_location /= *iter;
-    }
-    else
-    {
-      file_location= *iter;
-    }
+    fs::path file_location= *iter;
 
     ifstream input_defaults_file(file_location.file_string().c_str());
     
@@ -1405,28 +1396,28 @@
   {
     defaults_file_list.insert(defaults_file_list.begin(),
                               system_config_file_drizzle);
-  }
-
-  fs::path config_conf_d_location(system_config_dir);
-  config_conf_d_location /= "conf.d";
-
-  CachedDirectory config_conf_d(config_conf_d_location.file_string());
-  if (not config_conf_d.fail())
-  {
-
-    for (CachedDirectory::Entries::const_iterator iter= config_conf_d.getEntries().begin();
-         iter != config_conf_d.getEntries().end();
-         ++iter)
+
+    fs::path config_conf_d_location(system_config_dir);
+    config_conf_d_location /= "conf.d";
+
+    CachedDirectory config_conf_d(config_conf_d_location.file_string());
+    if (not config_conf_d.fail())
     {
-      string file_entry((*iter)->filename);
-          
-      if (not file_entry.empty()
-          && file_entry != "."
-          && file_entry != "..")
+
+      for (CachedDirectory::Entries::const_iterator iter= config_conf_d.getEntries().begin();
+           iter != config_conf_d.getEntries().end();
+           ++iter)
       {
-        fs::path the_entry(config_conf_d_location);
-        the_entry /= file_entry;
-        defaults_file_list.push_back(the_entry.file_string());
+        string file_entry((*iter)->filename);
+
+        if (not file_entry.empty()
+            && file_entry != "."
+            && file_entry != "..")
+        {
+          fs::path the_entry(config_conf_d_location);
+          the_entry /= file_entry;
+          defaults_file_list.push_back(the_entry.file_string());
+        }
       }
     }
   }

=== modified file 'plugin/filtered_replicator/plugin.ini'
--- plugin/filtered_replicator/plugin.ini	2010-04-05 16:06:01 +0000
+++ plugin/filtered_replicator/plugin.ini	2010-10-26 17:38:18 +0000
@@ -4,6 +4,5 @@
 version=0.2
 license=PLUGIN_LICENSE_GPL
 description=A simple filtered replicator which allows a user to filter out events based on a schema or table name
-load_by_default=yes
 sources=filtered_replicator.cc
 headers=filtered_replicator.h

=== added directory 'plugin/filtered_replicator/tests'
=== added directory 'plugin/filtered_replicator/tests/r'
=== renamed file 'plugin/transaction_log/tests/r/filtered_replicator.result' => 'plugin/filtered_replicator/tests/r/filtered_replicator.result'
=== added directory 'plugin/filtered_replicator/tests/t'
=== renamed file 'plugin/transaction_log/tests/t/filtered_replicator-master.opt' => 'plugin/filtered_replicator/tests/t/filtered_replicator-master.opt'
--- plugin/transaction_log/tests/t/filtered_replicator-master.opt	2010-08-04 08:07:30 +0000
+++ plugin/filtered_replicator/tests/t/filtered_replicator-master.opt	2010-10-26 20:53:27 +0000
@@ -1,1 +1,1 @@
---transaction-log.enable --transaction-log.use-replicator=filtered --scheduler=multi_thread --filtered-replicator.filteredschemas=notest
+--plugin-add=filtered_replicator --transaction-log.enable --transaction-log.use-replicator=filtered --scheduler=multi_thread --filtered-replicator.filteredschemas=notest

=== renamed file 'plugin/transaction_log/tests/t/filtered_replicator.test' => 'plugin/filtered_replicator/tests/t/filtered_replicator.test'
=== modified file 'plugin/hello_world/plugin.ini'
--- plugin/hello_world/plugin.ini	2009-11-29 18:30:06 +0000
+++ plugin/hello_world/plugin.ini	2010-10-26 17:38:18 +0000
@@ -1,4 +1,3 @@
 [plugin]
 title=Example Plugin
 description=UDF Plugin for Hello World.
-load_by_default=yes

=== modified file 'plugin/logging_stats/plugin.ini'
--- plugin/logging_stats/plugin.ini	2010-06-06 18:01:04 +0000
+++ plugin/logging_stats/plugin.ini	2010-10-26 20:40:42 +0000
@@ -2,6 +2,6 @@
 name=logging_stats
 title=Statistics Plugin for Drizzle
 description=Statistics Plugin for Drizzle
-load_by_default=yes
 sources=logging_stats.cc user_commands.cc stats_schema.cc scoreboard_slot.cc scoreboard.cc cumulative_stats.cc global_stats.cc status_vars.cc status_tool.cc
 headers=logging_stats.h user_commands.h scoreboard_slot.h stats_schema.h scoreboard.h cumulative_stats.h global_stats.h status_vars.h status_tool.h
+load_by_default=yes

=== added file 'plugin/logging_stats/tests/t/master.opt'
--- plugin/logging_stats/tests/t/master.opt	1970-01-01 00:00:00 +0000
+++ plugin/logging_stats/tests/t/master.opt	2010-10-26 19:33:26 +0000
@@ -0,0 +1,1 @@
+plugin-add=logging_stats

=== modified file 'plugin/pbms/plugin.ini'
--- plugin/pbms/plugin.ini	2010-10-18 21:21:20 +0000
+++ plugin/pbms/plugin.ini	2010-10-26 17:38:18 +0000
@@ -143,3 +143,4 @@
  TODO
  src/api_ms.cc
  src/metadata_ms.cc
+ src/cslib/CSSys_win.cc

=== modified file 'plugin/replication_dictionary/tests/t/replication_streams-master.opt'
--- plugin/replication_dictionary/tests/t/replication_streams-master.opt	2010-08-04 08:07:30 +0000
+++ plugin/replication_dictionary/tests/t/replication_streams-master.opt	2010-10-26 20:40:42 +0000
@@ -1,1 +1,1 @@
---transaction-log.enable --transaction-log.use-replicator=filtered
+--plugin-add=filtered_replicator --transaction-log.enable --transaction-log.use-replicator=filtered

=== modified file 'plugin/sleep/plugin.ini'
--- plugin/sleep/plugin.ini	2009-12-15 17:24:28 +0000
+++ plugin/sleep/plugin.ini	2010-10-26 17:38:18 +0000
@@ -5,5 +5,4 @@
 license=PLUGIN_LICENSE_GPL
 title=Sleep UDF Plugin
 description=UDF Plugin for sleep().
-load_by_default=yes
 sources=sleep.cc

=== modified file 'plugin/transaction_log/plugin.ini'
--- plugin/transaction_log/plugin.ini	2010-03-27 18:51:59 +0000
+++ plugin/transaction_log/plugin.ini	2010-10-26 20:40:42 +0000
@@ -5,9 +5,10 @@
 license=PLUGIN_LICENSE_GPL
 title=Transaction Log
 description=Log of Transaction Messages
-load_by_default=yes
 sources= background_worker.cc hexdump_transaction_message.cc module.cc print_transaction_message.cc transaction_log.cc transaction_log_applier.cc transaction_log_entry.cc transaction_log_index.cc transaction_log_reader.cc data_dictionary_schema.cc write_buffer.cc
 headers= background_worker.h hexdump_transaction_message.h print_transaction_message.h transaction_log.h transaction_log_applier.h transaction_log_entry.h transaction_log_index.h transaction_log_reader.h data_dictionary_schema.h write_buffer.h
 libs=${top_builddir}/drizzled/algorithm/libhash.la 
 libadd=$(LIBZ)
 cxxflags=${PROTOSKIP_WARNINGS}
+static=yes
+load_by_default=yes

